# Slides (HTML) Parameter Reference

### Norman Walsh

$Id: param.xweb,v 1.9 2005/06/17 08:38:11 xmldoc Exp $

Copyright © 2002 Norman Walsh

## Introduction

This is reference documentation for all user-configurable parameters in the DocBook XSL Slides HTML stylesheets (for generating HTML output from DocBook Slides documents).

### Note

There currently are no Slides parameters for FO output.

This reference describes each of the parameters. These are the “easily customizable” parts of the stylesheet. If you want to specify an alternate value for one or more of these parameters, you can do so in a “driver” stylesheet.

For example, if you want to change the `keyboard.nav` parameter to `0`, you might create a driver stylesheet like this:

    <xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                    version='1.0'>

      <xsl:import href="http://docbook.sourceforge.net/release/slides/current/xsl/slides.xsl"/>

      <xsl:param name="keyboard.nav" select="0"/>

    </xsl:stylesheet>

Naturally, you have to change the `href` attribute on `<xsl:import>` to point to the stylesheet on your system.

# General Parameters

## Name

keyboard.nav — Enable keyboard navigation?

## Synopsis

    <xsl:param name="keyboard.nav" select="1"></xsl:param>

## Description

If non-zero, JavaScript is added to the slides to enable keyboard navigation. Pressing 'n', space, or return moves forward; pressing 'p' moves backward.

## Name

css.stylesheet — CSS stylesheet for slides

## Synopsis

    <xsl:param name="css.stylesheet" select="'slides.css'"></xsl:param>

## Description

Identifies the CSS stylesheet used by all the slides. This parameter can be set in the source document with the <?dbhtml?> pseudo-attribute `css-stylesheet`.

## Name

css.stylesheet.dir — Default directory for CSS stylesheets

## Synopsis

    <xsl:param name="css.stylesheet.dir" select="''"></xsl:param>

## Description

Identifies the default directory for the CSS stylesheet generated on all the slides. This parameter can be set in the source document with the <?dbhtml?> pseudo-attribute `css-stylesheet-dir`.

If non-empty, this value is prepended to each of the stylesheets.

## Name

titlefoil.html — Name of title foil HTML file

## Synopsis

    <xsl:param name="titlefoil.html" select="concat('index', $html.ext)"></xsl:param>

## Description

Sets the filename used for the slides titlepage.

## Name

toc.html — Name of ToC HTML file

## Synopsis

    <xsl:param name="toc.html" select="concat('toc', $html.ext)"></xsl:param>

## Description

Sets the filename used for the table of contents page.

## Name

foilgroup.toc — Put ToC on foilgroup pages?

## Synopsis

    <xsl:param name="foilgroup.toc" select="1"></xsl:param>

## Description

If non-zero, a ToC will be placed on foilgroup pages (after any other content).

## Name

output.indent — Indent output?

## Synopsis

    <xsl:param name="output.indent" select="'no'"></xsl:param>

## Description

Specifies the setting of the `indent` parameter on the HTML slides. For more information, see the discussion of the `xsl:output` element in the XSLT specification.

## Name

overlay — Overlay footer navigation?

## Synopsis

    <xsl:param name="overlay" select="0"></xsl:param>

## Description

If non-zero, JavaScript is added to the slides to make the bottom navigation appear at the bottom of each page. This option and multiframe are mutually exclusive.

If this parameter is zero, the bottom navigation simply appears below the content of each slide.

## Name

show.foil.number — Show foil number on each foil?

## Synopsis

    <xsl:param name="show.foil.number" select="0"></xsl:param>

## Description

If non-zero, on each slide there will be its number. Currently not supported in all output formats.

# Frame Parameters

## Name

nav.separator — Output separator between navigation and body?

## Synopsis

    <xsl:param name="nav.separator" select="1"></xsl:param>

## Description

If non-zero, a separator (`<HR>`) is added between the navigation links and the content of each slide.

## Name

toc.row.height — Height of ToC rows in dynamic ToCs

## Synopsis

    <xsl:param name="toc.row.height" select="22"></xsl:param>

## Description

This parameter specifies the height of each row in the table of contents. This is only applicable if a dynamic ToC is used. You may want to adjust this parameter for optimal appearance with the font and image sizes selected by your CSS stylesheet.

## Name

toc.bg.color — Background color for ToC frame

## Synopsis

    <xsl:param name="toc.bg.color" select="'#FFFFFF'"></xsl:param>

## Description

Specifies the background color used in the ToC frame.

## Name

body.bg.color — Background color for body frame

## Synopsis

    <xsl:param name="body.bg.color" select="'#FFFFFF'"></xsl:param>

## Description

Specifies the background color used in the body column of tabular slides.

## Name

toc.width — Width of ToC frame

## Synopsis

    <xsl:param name="toc.width" select="250"></xsl:param>

## Description

Specifies the width of the ToC frame.

## Name

toc.hide.show — Enable hide/show button for ToC frame

## Synopsis

    <xsl:param name="toc.hide.show" select="0"></xsl:param>

## Description

If non-zero, JavaScript (and an additional icon, see hidetoc.image and showtoc.image) is added to each slide to allow the ToC panel to be “toggled” on each panel.

### Note

There is a bug in Mozilla 1.0 (at least as of CR3) that causes the browser to reload the titlepage when this feature is used.

## Name

dynamic.toc — Dynamic ToCs?

## Synopsis

    <xsl:param name="dynamic.toc" select="0"></xsl:param>

## Description

If non-zero, JavaScript is used to make the ToC panel “dynamic”. In a dynamic ToC, each section in the ToC can be expanded and collapsed by clicking on the appropriate image.

## Name

active.toc — Active ToCs?

## Synopsis

    <xsl:param name="active.toc" select="0"></xsl:param>

## Description

If non-zero, JavaScript is used to keep the ToC and the current slide “in sync”. That is, each time the slide changes, the corresponding ToC entry will be underlined.

## Name

overlay.logo — Logo to overlay on ToC frame

## Synopsis

    <xsl:param name="overlay.logo" select="'http://docbook.sourceforge.net/release/buttons/slides-1.png'"></xsl:param>

## Description

If this URI is non-empty, JavaScript is used to overlay the specified image on the ToC frame.

## Name

multiframe — Use multiple frames for slide bodies?

## Synopsis

    <xsl:param name="multiframe" select="0"></xsl:param>

## Description

If non-zero, multiple frames are used for the body of each slide. This is one way of forcing the slide navigation elements to appear in constant locations. The other way is with overlays. The `overlay` and `multiframe` parameters are mutually exclusive.

## Name

multiframe.top.bgcolor — Background color for top navigation frame

## Synopsis

    <xsl:param name="multiframe.top.bgcolor" select="'white'"></xsl:param>

## Description

Specifies the background color of the top navigation frame when multiframe is enabled.

## Name

multiframe.bottom.bgcolor — Background color for bottom navigation frame

## Synopsis

    <xsl:param name="multiframe.bottom.bgcolor" select="'white'"></xsl:param>

## Description

Specifies the background color of the bottom navigation frame when multiframe is enabled.

## Name

multiframe.navigation.height — Height of navigation frames

## Synopsis

    <xsl:param name="multiframe.navigation.height" select="40"></xsl:param>

## Description

Specifies the height of the navigation frames when multiframe is enabled.

# Graphics Parameters

## Name

graphics.dir — Graphics directory

## Synopsis

    <xsl:param name="graphics.dir" select="''"></xsl:param>

## Description

Identifies the graphics directory for the navigation components generated on all the slides. This parameter can be set in the source document with the <?dbhtml?> pseudo-attribute `graphics-dir`.

If non-empty, this value is prepended to each of the graphic image paths.

## Name

bullet.image — Bullet image

## Synopsis

    <xsl:param name="bullet.image" select="'toc/bullet.png'"></xsl:param>

## Description

Specifies the filename of the bullet image used for foils in the framed ToC.

## Name

next.image — Right-arrow image

## Synopsis

    <xsl:param name="next.image" select="'active/nav-next.png'"></xsl:param>

## Description

Specifies the filename of the right-pointing navigation arrow.

## Name

prev.image — Left-arrow image

## Synopsis

    <xsl:param name="prev.image" select="'active/nav-prev.png'"></xsl:param>

## Description

Specifies the filename of the left-pointing navigation arrow.

## Name

up.image — Up-arrow image

## Synopsis

    <xsl:param name="up.image" select="'active/nav-up.png'"></xsl:param>

## Description

Specifies the filename of the upward-pointing navigation arrow.

## Name

home.image — Home image

## Synopsis

    <xsl:param name="home.image" select="'active/nav-home.png'"></xsl:param>

## Description

Specifies the filename of the home navigation icon.

## Name

toc.image — ToC image

## Synopsis

    <xsl:param name="toc.image" select="'active/nav-toc.png'"></xsl:param>

## Description

Specifies the filename of the ToC navigation icon.

## Name

no.next.image — Inactive right-arrow image

## Synopsis

    <xsl:param name="no.next.image" select="'inactive/nav-next.png'"></xsl:param>

## Description

Specifies the filename of the inactive right-pointing navigation arrow.

## Name

no.prev.image — Inactive left-arrow image

## Synopsis

    <xsl:param name="no.prev.image" select="'inactive/nav-prev.png'"></xsl:param>

## Description

Specifies the filename of the inactive left-pointing navigation arrow.

## Name

no.up.image — Inactive up-arrow image

## Synopsis

    <xsl:param name="no.up.image" select="'inactive/nav-up.png'"></xsl:param>

## Description

Specifies the filename of the inactive upward-pointing navigation arrow.

## Name

no.home.image — Inactive home image

## Synopsis

    <xsl:param name="no.home.image" select="'inactive/nav-home.png'"></xsl:param>

## Description

Specifies the filename of the inactive home navigation icon.

## Name

no.toc.image — Inactive ToC image

## Synopsis

    <xsl:param name="no.toc.image" select="'inactive/nav-toc.png'"></xsl:param>

## Description

Specifies the filename of the inactive ToC navigation icon.

## Name

plus.image — Plus image

## Synopsis

    <xsl:param name="plus.image" select="'toc/closed.png'"></xsl:param>

## Description

Specifies the filename of the “plus” image; the image used in a dynamic ToC to indicate that a section can be expanded.

## Name

minus.image — Minus image

## Synopsis

    <xsl:param name="minus.image" select="'toc/open.png'"></xsl:param>

## Description

Specifies the filename of the “minus” image; the image used in a dynamic ToC to indicate that a section can be collapsed.

## Name

hidetoc.image — Hide ToC image

## Synopsis

    <xsl:param name="hidetoc.image" select="'hidetoc.gif'"></xsl:param>

## Description

Specifies the filename of the “hide ToC” image. This is used when the ToC hide/show parameter is enabled.

## Name

showtoc.image — Show ToC image

## Synopsis

    <xsl:param name="showtoc.image" select="'showtoc.gif'"></xsl:param>

## Description

Specifies the filename of the “show ToC” image. This is used when the ToC hide/show parameter is enabled.

# JavaScript Parameters

## Name

script.dir — Script directory

## Synopsis

    <xsl:param name="script.dir" select="''"></xsl:param>

## Description

Identifies the JavaScript source directory for the slides. This parameter can be set in the source document with the <?dbhtml?> pseudo-attribute `script-dir`.

If non-empty, this value is prepended to each of the JavaScript files.

## Name

ua.js — UA JavaScript file

## Synopsis

    <xsl:param name="ua.js" select="'ua.js'"></xsl:param>

## Description

Specifies the filename of the UA JavaScript file. It's unlikely that you will ever need to change this parameter.

## Name

xbDOM.js — xbDOM JavaScript file

## Synopsis

    <xsl:param name="xbDOM.js" select="'xbDOM.js'"></xsl:param>

## Description

Specifies the filename of the xbDOM JavaScript file. It's unlikely that you will ever need to change this parameter.

## Name

xbStyle.js — xbStyle JavaScript file

## Synopsis

    <xsl:param name="xbStyle.js" select="'xbStyle.js'"></xsl:param>

## Description

Specifies the filename of the xbStyle JavaScript file. It's unlikely that you will ever need to change this parameter.

## Name

xbLibrary.js — xbLibrary JavaScript file

## Synopsis

    <xsl:param name="xbLibrary.js" select="'xbLibrary.js'"></xsl:param>

## Description

Specifies the filename of the xbLibrary JavaScript file. It's unlikely that you will ever need to change this parameter.

## Name

xbCollapsibleLists.js — xbCollapsibleLists JavaScript file

## Synopsis

    <xsl:param name="xbCollapsibleLists.js" select="'xbCollapsibleLists.js'"></xsl:param>

## Description

Specifies the filename of the xbCollapsibleLists JavaScript file. It's unlikely that you will ever need to change this parameter.

## Name

overlay.js — Overlay JavaScript file

## Synopsis

    <xsl:param name="overlay.js" select="'overlay.js'"></xsl:param>

## Description

Specifies the filename of the overlay JavaScript file. It's unlikely that you will ever need to change this parameter.

## Name

slides.js — Slides overlay file

## Synopsis

    <xsl:param name="slides.js" select="'slides.js'"></xsl:param>

## Description

Specifies the filename of the slides JavaScript file. It's unlikely that you will ever need to change this parameter.

# Localization Parameters

## Name

text.home — Home

## Synopsis

    <xsl:param name="text.home" select="'Home'"></xsl:param>

## Description

FIXME:

## Name

text.toc — FIXME:

## Synopsis

    <xsl:param name="text.toc" select="'ToC'"></xsl:param>

## Description

FIXME:

## Name

text.prev — FIXME:

## Synopsis

    <xsl:param name="text.prev" select="'Prev'"></xsl:param>

## Description

FIXME:

## Name

text.up — FIXME:

## Synopsis

    <xsl:param name="text.up" select="'Up'"></xsl:param>

## Description

FIXME:

## Name

text.next — FIXME:

## Synopsis

    <xsl:param name="text.next" select="'Next'"></xsl:param>

## Description

FIXME:

## Appendix A. The Stylesheet

The `param.xsl` stylesheet is just a wrapper around all these parameters.

    <!-- This file is generated from param.xweb; do not edit this file! -->

    <xsl:stylesheet exclude-result-prefixes="src" version="1.0">

    <!-- ********************************************************************
         $Id: param.xweb,v 1.9 2005/06/17 08:38:11 xmldoc Exp $
         ********************************************************************

         This file is part of the DocBook Slides Stylesheet distribution.
         See ../README or http://nwalsh.com/docbook/xsl/ for copyright
         and other information.

         ******************************************************************** -->

    <src:fragref linkend="active.toc.frag"></src:fragref>
    <src:fragref linkend="body.bg.color.frag"></src:fragref>
    <src:fragref linkend="bullet.image.frag"></src:fragref>
    <src:fragref linkend="css.stylesheet.frag"></src:fragref>
    <src:fragref linkend="css.stylesheet.dir.frag"></src:fragref>
    <src:fragref linkend="dynamic.toc.frag"></src:fragref>
    <src:fragref linkend="foilgroup.toc.frag"></src:fragref>
    <src:fragref linkend="graphics.dir.frag"></src:fragref>
    <src:fragref linkend="hidetoc.image.frag"></src:fragref>
    <src:fragref linkend="home.image.frag"></src:fragref>
    <src:fragref linkend="keyboard.nav.frag"></src:fragref>
    <src:fragref linkend="minus.image.frag"></src:fragref>
    <src:fragref linkend="multiframe.bottom.bgcolor.frag"></src:fragref>
    <src:fragref linkend="multiframe.frag"></src:fragref>
    <src:fragref linkend="multiframe.navigation.height.frag"></src:fragref>
    <src:fragref linkend="multiframe.top.bgcolor.frag"></src:fragref>
    <src:fragref linkend="nav.separator.frag"></src:fragref>
    <src:fragref linkend="next.image.frag"></src:fragref>
    <src:fragref linkend="no.home.image.frag"></src:fragref>
    <src:fragref linkend="no.next.image.frag"></src:fragref>
    <src:fragref linkend="no.prev.image.frag"></src:fragref>
    <src:fragref linkend="no.toc.image.frag"></src:fragref>
    <src:fragref linkend="no.up.image.frag"></src:fragref>
    <src:fragref linkend="output.indent.frag"></src:fragref>
    <src:fragref linkend="overlay.frag"></src:fragref>
    <src:fragref linkend="overlay.js.frag"></src:fragref>
    <src:fragref linkend="overlay.logo.frag"></src:fragref>
    <src:fragref linkend="plus.image.frag"></src:fragref>
    <src:fragref linkend="prev.image.frag"></src:fragref>
    <src:fragref linkend="script.dir.frag"></src:fragref>
    <src:fragref linkend="show.foil.number.frag"></src:fragref>
    <src:fragref linkend="showtoc.image.frag"></src:fragref>
    <src:fragref linkend="slides.js.frag"></src:fragref>
    <src:fragref linkend="text.home.frag"></src:fragref>
    <src:fragref linkend="text.next.frag"></src:fragref>
    <src:fragref linkend="text.prev.frag"></src:fragref>
    <src:fragref linkend="text.toc.frag"></src:fragref>
    <src:fragref linkend="text.up.frag"></src:fragref>
    <src:fragref linkend="titlefoil.html.frag"></src:fragref>
    <src:fragref linkend="toc.bg.color.frag"></src:fragref>
    <src:fragref linkend="toc.hide.show.frag"></src:fragref>
    <src:fragref linkend="toc.html.frag"></src:fragref>
    <src:fragref linkend="toc.image.frag"></src:fragref>
    <src:fragref linkend="toc.row.height.frag"></src:fragref>
    <src:fragref linkend="toc.width.frag"></src:fragref>
    <src:fragref linkend="ua.js.frag"></src:fragref>
    <src:fragref linkend="up.image.frag"></src:fragref>
    <src:fragref linkend="xbCollapsibleLists.js.frag"></src:fragref>
    <src:fragref linkend="xbDOM.js.frag"></src:fragref>
    <src:fragref linkend="xbStyle.js.frag"></src:fragref>
    <src:fragref linkend="xbLibrary.js.frag"></src:fragref>

    </xsl:stylesheet>